import { Container, Row, Col } from "react-bootstrap";

import type { Category } from "../store/cluesSlice";

interface Props {
  categories: Category[];
}

const values = [200, 400, 600, 800, 1000];

const Gameboard = ({ categories }: Props) => {
  return (
    <Container fluid>
      <Row>
        {categories.map(({ name }) => (
          <Col
            key={name}
            className="fw-bolder border border-primary text-center"
          >
            {name}
          </Col>
        ))}
      </Row>
      {values.map((value) => (
        <Row key={value}>
          {categories.map(({ name }) => (
            <Col key={name} className="text-center border border-primary">
              {value}
            </Col>
          ))}
        </Row>
      ))}
    </Container>
  );
};

export default Gameboard;
