import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import type { RootState } from "./";

interface CommonState {
  roomCode: string;
}

const initialState: CommonState = {
  roomCode: "",
};

export const commonSlice = createSlice({
  name: "common",
  initialState,
  reducers: {
    setRoomCode: (state, { payload }: PayloadAction<string>) => {
      state.roomCode = payload;
    },
  },
});

export const { setRoomCode } = commonSlice.actions;
export const selectRoomCode = (state: RootState) => state.common.roomCode;

export default commonSlice.reducer;
