import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import type { RootState } from "./";

interface ContestantState {
  signature: number[][];
}

const initialState: ContestantState = {
  signature: [],
};

export const contestantSlice = createSlice({
  name: "contestant",
  initialState,
  reducers: {
    addPathToSignature: (state, { payload }: PayloadAction<number[]>) => {
      state.signature = [...state.signature, payload];
    },
  },
});

export const { addPathToSignature } = contestantSlice.actions;
export const selectSignature = (state: RootState) => state.contestant.signature;

export default contestantSlice.reducer;
